From: Scott Worley <scottworley@scottworley.com>
Date: Sun, 19 Jul 2020 16:51:20 +0000 (-0700)
Subject: Key creation
X-Git-Url: http://git.scottworley.com/picsort/commitdiff_plain/refs/heads/master

Key creation
---

diff --git a/slurp-pics b/slurp-pics
index c8a92f0..c730a0d 100755
--- a/slurp-pics
+++ b/slurp-pics
@@ -1,7 +1,14 @@
 #!/usr/bin/env bash
 
+KEY=.slurp-key
 LEGACY='-oHostKeyAlgorithms=+ssh-dss'
-sftp=( sftp -v -P 19362 -i .slurp-key -oConnectTimeout=4 $LEGACY )
+sftp=( sftp -v -P 19362 -i "$KEY" -oConnectTimeout=4 $LEGACY )
+
+if [[ ! -e "$KEY" ]];then
+  ssh-keygen -f "$KEY"
+  echo "I generated you a key! Copy $KEY.pub to devices' authorized_keys"
+  exit 1
+fi
 
 seendir="slurp-seen"
 while read host path;do